# stdex: stdex::parser::basic_url< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_url< T > Class Template Reference

Test for URL. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_url< T >:

## Public Member Functions

basic_url (const std::shared_ptr< basic_parser< T > > &_http_scheme, const std::shared_ptr< basic_parser< T > > &_ftp_scheme, const std::shared_ptr< basic_parser< T > > &_mailto_scheme, const std::shared_ptr< basic_parser< T > > &_file_scheme, const std::shared_ptr< basic_parser< T > > &colon, const std::shared_ptr< basic_parser< T > > &slash, const std::shared_ptr< basic_parser< T > > &_username, const std::shared_ptr< basic_parser< T > > &_password, const std::shared_ptr< basic_parser< T > > &at, const std::shared_ptr< basic_parser< T > > &ip_lbracket, const std::shared_ptr< basic_parser< T > > &ip_rbracket, const std::shared_ptr< basic_parser< T > > &_ipv4_host, const std::shared_ptr< basic_parser< T > > &_ipv6_host, const std::shared_ptr< basic_parser< T > > &_dns_host, const std::shared_ptr< basic_parser< T > > &_port, const std::shared_ptr< basic_parser< T > > &_path, const std::locale &locale=std::locale())

virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

std::shared_ptr< basic_parser< T > > | http_scheme
std::shared_ptr< basic_parser< T > > | ftp_scheme
std::shared_ptr< basic_parser< T > > | mailto_scheme
std::shared_ptr< basic_parser< T > > | file_scheme
std::shared_ptr< basic_parser< T > > | username
std::shared_ptr< basic_parser< T > > | password
std::shared_ptr< basic_parser< T > > | ipv4_host
std::shared_ptr< basic_parser< T > > | ipv6_host
std::shared_ptr< basic_parser< T > > | dns_host
std::shared_ptr< basic_parser< T > > | port
std::shared_ptr< basic_parser< T > > | path
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_parser< T >

## Protected Attributes

std::shared_ptr< basic_parser< T > > | m_colon
std::shared_ptr< basic_parser< T > > | m_slash
std::shared_ptr< basic_parser< T > > | m_at
std::shared_ptr< basic_parser< T > > | m_ip_lbracket
std::shared_ptr< basic_parser< T > > | m_ip_rbracket
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_url< T >

Test for URL.

## Member Function Documentation

## do_match()

template<class T >

virtual bool stdex::parser::basic_url< T >::do_match | ( | _In_reads_or_z_opt_(end) const T * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )

inlineprotectedvirtual

Implements stdex::parser::basic_parser< T >.

## invalidate()

template<class T >

virtual void stdex::parser::basic_url< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp